---
title: "Simulate a Card Refund - EEA"
source_url: https://docs.rapyd.net/en/simulate-a-card-refund---eea.html
lang: en
---

# Simulate a Card Refund - EEA

Simulate a retail location making a refund to an issued card.

This method triggers [Card Issuing Refund Webhook](https://docs.rapyd.net/en/card-issuing-refund-webhook.md "Card Issuing Refund Webhook"). This method credits the **available balance** of the wallet with the refunded amount. See [Wallet Balance Types](https://docs.rapyd.net/en/wallet-balance-types.md "Wallet Balance Types"). Use this method in the sandbox.

This method applies to cards issued in the European Economic Area (EEA). For cards issued outside the EEA, see [Simulate a Card Refund - Non-EEA](https://docs.rapyd.net/en/simulate-a-card-refund---non-eea.md "Simulate a Card Refund - Non-EEA").

**Prerequisites:**

- An issued card. See [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card").
- Activate the card. See one of the following:

  - [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
  - [Activate Issued Card Using Hosted Page](https://docs.rapyd.net/en/activate-issued-card-using-hosted-page.md "Activate Issued Card Using Hosted Page")
- Authorization of a card transaction. See [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA").

### Parameters

### Request Body Parameters

- - amount
  - The amount of the refund, in units of the currency defined in `currency`. Decimal.
- - authorization_id
  - ID of the authorization. String starting with **cardauth_**. Use the value of `id` in the response to [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA").
- - card_id
  - ID of the card. String starting with **card_**.
- - currency
  - The refund currency. Three-letter ISO 4217 code.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the transaction, in units defined in `currency`.
- - auth_response
  - Response related to an authorization. Contains the following fields:

    - - code
      - Indicates success or reason for failure.
    - - message
      - Descriptive text.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_transaction_id
  - ID of the transaction. String starting with **cit_**.
- - currency_code
  - Currency of the transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the authorization. String starting with **cardauth_**.
- - is_remote_auth
  - Indicates whether remote authorization is enabled.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_identification_code
  - Reserved.
- - merchant_name_location
  - Name and location of the merchant. Maximum 40 characters.

    TEST MERCHANT
- - remote_auth_endpoint
  - The URL where the remote authorization is sent.
- - remote_auth_response
  - Response to a successful remote authorization request. Contains the following fields:

    - - authorization_id
      - ID of the authorization. String starting with **cardauth_**.
    - - response_code
      - Code returned by the client in the response to the remote authorization.
    - - auth_code
      - Authorization code returned by the client in the response to the remote authorization.
- - transaction_amount
  - Amount debited from the Rapyd Wallet. Decimal, including the correct number of decimal places for the currency exponent, as defined in ISO 2417:2015.
- - transaction_currency_code
  - Original transaction currency, if different from the currency credited to the Rapyd Wallet. Three-letter ISO 4217 code.
- - txn_type
  - Type of transaction. One of the following values:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**

- /v1/issuing/cards/refund

- Card Refund
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/refund
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "amount": 3,
    "currency": "USD",
    "authorization_id": "cardauth_2acf298ae9e27a2596569db1e0c53a14"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "cb8a122b-4880-4d68-8dc4-a8273c9a7c1b"
      },
      "data": {
          "id": "cardauth_fb7772107032765ca74ffc5d6ed7599d",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_dc04b1b4fac33efa5a0d1030ed116c00",
          "amount": 3,
          "currency_code": "USD",
          "txn_type": "REFUND",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 3,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```
